Extending Qt Creator Manual | MacroUse

Extending Qt Creator Manual 4.5.2

# MacroUse Class

(CPlusPlus::Document::MacroUse)

The MacroUse class represents the usage of a macro in a Document. More...

Header: | #include <MacroUse>

- List of all members, including inherited members

## Public Functions

| MacroUse(const Macro &macro, unsigned bytesBegin, unsigned bytesEnd, unsigned utf16charsBegin, unsigned utf16charsEnd, unsigned beginLine)
QVector<Block> | arguments() const
unsigned | beginLine() const
bool | isFunctionLike() const
const Macro & | macro() const

## Detailed Description

The MacroUse class represents the usage of a macro in a Document.

See also Document::UndefinedMacroUse.

## Member Function Documentation

### MacroUse::MacroUse(const Macro &macro, unsigned bytesBegin, unsigned bytesEnd, unsigned utf16charsBegin, unsigned utf16charsEnd, unsigned beginLine)

Default constructs an instance of MacroUse.

### QVector<Block> MacroUse::arguments() const

### unsigned MacroUse::beginLine() const

### bool MacroUse::isFunctionLike() const

### const Macro &MacroUse::macro() const